osg::GraphicsContext::ScreenSettings Struct Reference

`#include <GraphicsContext>`

## Public Member Functions

| ScreenSettings ()
| ScreenSettings (int in_width, int in_height, double in_refreshRate=0, unsigned int in_colorDepth=0)

## Public Attributes

int | width
int | height
double | refreshRate
| Screen refresh rate, in Hz.
unsigned int | colorDepth
| RGB(A) color buffer depth.

## Detailed Description

Simple resolution structure used by WindowingSystemInterface to get and set screen resolution. Note the '0' value stands for 'unset'.

## Constructor & Destructor Documentation

## ScreenSettings() [1/2]

osg::GraphicsContext::ScreenSettings::ScreenSettings | ( |  | ) |

inline

References colorDepth, height, refreshRate, and width.

## ScreenSettings() [2/2]

osg::GraphicsContext::ScreenSettings::ScreenSettings | ( | int | in_width,
|  | int | in_height,
|  | double | in_refreshRate = 0,
|  | unsigned int | in_colorDepth = 0 )

inline

References colorDepth, height, refreshRate, and width.

## Member Data Documentation

## colorDepth

unsigned int osg::GraphicsContext::ScreenSettings::colorDepth

RGB(A) color buffer depth.

Referenced by ScreenSettings(), and ScreenSettings().

## height

int osg::GraphicsContext::ScreenSettings::height

Referenced by osg::GraphicsContext::WindowingSystemInterface::getScreenResolution(), ScreenSettings(), and ScreenSettings().

## refreshRate

double osg::GraphicsContext::ScreenSettings::refreshRate

Screen refresh rate, in Hz.

Referenced by ScreenSettings(), ScreenSettings(), and osg::GraphicsContext::WindowingSystemInterface::setScreenRefreshRate().

## width

int osg::GraphicsContext::ScreenSettings::width

Referenced by osg::GraphicsContext::WindowingSystemInterface::getScreenResolution(), ScreenSettings(), and ScreenSettings().

The documentation for this struct was generated from the following file:

- GraphicsContext